# std::experimental::filesystem::file_status

From cppreference.com
< cpp‎ | experimental‎ | fs

Defined in header `<experimental/filesystem>` |  |
class file_status; |  | (filesystem TS)

Stores information about the type and permissions of a file.

### Member functions

(constructor) | constructs a `file_status` object (public member function)
operator= | assigns contents (public member function)
(destructor) | implicit destructor (public member function)
type | gets or sets the type of the file (public member function)
permissions | gets or sets the permissions of the file (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/fs/file_status&oldid=68535"